# $Revision: 1.7 $, $Date: 2005/01/09 18:17:17 $

%define		pname	XMMS

Summary:	A fancy desklet that allows you to control XMMS from the desktop
Summary(pl):	Ozdobny desklet pozwalajcy sterowa XMMS-em z pulpitu
Name:		gDesklets-%{pname}
Version:	2
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/xmms-%{version}.tgz
# Source0-md5:	64b17f0098fa30d45fc8fe0a6d519d43
URL:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=42
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 1.99.14
Requires:	gDesklets
%pyrequires_eq	python-libs
Requires:	python-xmms
Provides:	gDesklets-display
Provides:	gDesklets-sensor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
A fancy desklet that allows you to control XMMS from the desktop.

%description -l pl
Ozdobny desklet pozwalajcy sterowa XMMS-em z pulpitu.

%prep
%setup -q -n %{pname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sensorsdir},%{_displaysdir}/%{pname}}

./Install_%{pname}_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

cp -R Display/gfx Display/*.display $RPM_BUILD_ROOT%{_displaysdir}/%{pname}

find $RPM_BUILD_ROOT%{_sensorsdir}/%{pname} -name "CVS" |xargs rm -rf

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.txt
%{_sensorsdir}/%{pname}/*.py[co]
%{_displaysdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: gDesklets-XMMS.spec,v $
Revision 1.7  2005/01/09 18:17:17  saq
- missing BR epoch and pyreqeq, rel 4

Revision 1.6  2004/11/03 13:37:11  paladine
- formatting

Revision 1.5  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/07/23 22:20:07  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 3

Revision 1.3  2003/12/21 12:59:17  leafnode
- corrected requires
- rel 2

Revision 1.2  2003/11/16 23:35:29  krzak
- ugm... wrong md5

Revision 1.1  2003/11/16 23:34:13  krzak
- new

